Subject: Re: 'git branch' when origin branch with same name exists

From: Michael Schubert <[email-masked]>
Date: Tue, 19 Jun 2012 17:35:21 +0200

On 06/19/2012 04:51 PM, Ryan Lortie wrote:
> So feature request: 'git branch' should not allow creating a local 
> branch that has the same name as a branch that already exists on 
> 'origin' (or any remote?) without some sort of --force flag.  It could 
> instead helpfully say:
> 
>    """
> 
>      The branch you are trying to create already exists on the origin.
>      Are you sure you don't want to checkout this branch using
>      'git checkout gtk-3-4'
> 
>   """
> 
> or something like that.
> 
> Thoughts?

This very much violates the distributed nature of Git. Everything
is allowed, because it's *my* repository.